Name:		qtfm
Version:	6.1.8
Release:	%mkrel 3
Summary:	Lightweight file manager based on pure Qt
License:	GPLv2
Group:		File tools
Url:		https://qtfm.eu
Source0:	https://github.com/rodlie/qtfm/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		%{name}-6.1.8-desktopfile.patch

BuildRequires:	gcc-c++
BuildRequires:	desktop-file-utils
BuildRequires:	qttools5
BuildRequires:	magic-devel
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)

Recommends:	udisks2

%description
qtFM is a small, lightweight file manager for Linux desktops based on pure Qt
and works great with minimal desktop environments like Openbox.

Features:
 * Desktop (theme/applications/mime) integration
 * Customizable interface
 * Powerful custom command system
 * Customizable key bindings
 * Drag & drop functionality
 * Tabs
 * Udisks support
 * System tray daemon

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

rm -rf %{buildroot}%{_docdir}/%{name}-%{version}/

%files
%doc AUTHORS ChangeLog README.md
%license LICENSE
%{_sysconfdir}/xdg/autostart/%{name}-tray.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-tray
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.??g
%{_mandir}/man?/%{name}.1*
%{_mandir}/man?/%{name}-tray.1*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 6.1.8-3.mga8
+ Revision: 1659628
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 6.1.8-2.mga8
+ Revision: 1525274
- Mageia 8 Mass Rebuild

* Fri Apr 12 2019 daviddavid <daviddavid> 6.1.8-1.mga7
+ Revision: 1389150
- new version: 6.1.8
- new URL and Source URL

* Mon Apr 01 2019 umeabot <umeabot> 5.9-3.mga7
+ Revision: 1384394
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 5.9-2.mga7
+ Revision: 1300703
- Mageia 7 Mass Rebuild

* Sun Oct 15 2017 daviddavid <daviddavid> 5.9-1.mga7
+ Revision: 1172183
- new version: 5.9
- port to Qt5
- patch1: fix build with gcc6
- fix owner of data dir

* Tue Feb 16 2016 umeabot <umeabot> 5.5-7.mga6
+ Revision: 962543
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 5.5-6.mga6
+ Revision: 893944
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 5.5-5.mga5
+ Revision: 751014
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.5-4.mga5
+ Revision: 688544
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.5-3.mga4
+ Revision: 517903
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 5.5-2.mga3
+ Revision: 379988
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 matteo <matteo> 5.5-1.mga3
+ Revision: 296302
- added missing br
- imported package qtfm

